Page MenuHomePhabricator

Use object cache in ThrottleOverride
Closed, ResolvedPublic

Description

Just doing DB queries every time is rather pants. Should use memcached (or similar) to store the throttles for the wiki, and invalidate on additions/deletions and modifications if T62423 is completed

Event Timeline

Reedy created this task.Oct 4 2016, 9:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 4 2016, 9:18 PM

Change 392556 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/extensions/ThrottleOverride@master] Use WANCache for throttle lookups

https://gerrit.wikimedia.org/r/392556

bd808 added a subscriber: bd808.Nov 21 2017, 1:55 AM

Change 392556 merged by jenkins-bot:
[mediawiki/extensions/ThrottleOverride@master] Use WANCache for throttle lookups

https://gerrit.wikimedia.org/r/392556

EddieGP closed this task as Resolved.Nov 26 2017, 8:26 PM
EddieGP assigned this task to bd808.